#! /bin/sh
# @(#)configmidas.sh	1.1 (ESO-IPG) 07/12/91 14:15:59" {}
# .COPYRIGHT: Copyright (c) 1988 European Southern Observatory,
#                                         all rights reserved
# .TYPE           command
# .NAME           installmidas 
# .LANGUAGE       shell script
# .ENVIRONMENT    Unix Systems. Executable under SHELL and C-SHELL
# .COMMENTS       Installation procedure of the MIDAS system starting from
#                 scratch.
#                 Usage: installmidas system [options]
#
# .REMARKS        The external variable $MIDASHOME and $MIDVERS must be set 
#
# .AUTHOR         Carlos Guirao
# .VERSION 2.2    881014:		Cosmetic changes
# .VERSION 2.3    891013:		Deleting the "clear" argument.
# .VERSION 2.4    891205:		Detecting echo command (SYSV or BSD)
# .VERSION 3.1    901111:		New directory structure.
# .VERSION 3.2    910305:		dirname & basename emulated

#
# Checks echo command which option uses to get NO NEW LINE
#
echo=echo
if [ "`echo -n `" = "-n" ] ; then
	SV_NONL="\c"
else	
	echo="echo -n"
fi

clear

#
# First of all, goto the configmidas directory adn
# <dirname> & <basename> commands emulated with <sed>
#
#cd `dirname $0`
cd `echo $0 | sed -e 's/[^\/]*$//' -e 's/^$/./' -e 's/\/$//'`
MID_INSTALL=`pwd`
VERSDIR=`echo $MID_INSTALL | sed 's/\/install\/unix$//'`
#MIDVERS=`basename $VERSDIR`
MIDVERS=`echo $VERSDIR | sed -e 's/^.*\///'`
#MIDASHOME=`dirname $VERSDIR`
MIDASHOME=`echo $VERSDIR | sed -e 's/[^\/]*$//' -e 's/^$/./' -e 's/\/$//'`
export MIDASHOME MIDVERS MID_INSTALL

#
# START
#
echo "**********************************************************************"
echo "******************** MIDAS CONFIGURATION SCRIPT **********************"
echo "**********************************************************************"
echo "******************** MIDVERS: $MIDVERS"
echo "******************** DATE:  `date`"
echo ""

task="unknown"
while true
do
echo ""
echo "		MIDAS CONFIG MENU:"
echo "	========================================"
echo "	1 - list of MIDAS packages available"
echo "	2 - select only MIDAS core"
echo "	3 - select all MIDAS packages"
echo "	4 - select MIDAS core & packages of your choice"
echo "	5 - preinstall MIDAS"
echo "	6 - install MIDAS"
echo "	7 - update MIDAS"
echo "	8 - set inmidas"
echo "	9 - clean MIDAS"
echo "	10- help"
echo "	q - quit"
echo ""
$echo "Select: " $SV_NONL

read task
task=`echo $task | tr A-Z a-z`

#trap "" 2
case $task in
	1) /bin/sh $MID_INSTALL/listmidas
	   ;;
	2) /bin/sh $MID_INSTALL/selecmidas core
	   ;;
	3) /bin/sh $MID_INSTALL/selecmidas all
	   ;;
	4) /bin/sh $MID_INSTALL/selecmidas own
	   ;;
	5) /bin/sh $MID_INSTALL/preinstall
	   ;;
	6) /bin/sh $MID_INSTALL/installmidas1
	   ;;
	7) /bin/sh $MID_INSTALL/updatemidas1
	   ;;
	8) /bin/sh $MID_INSTALL/setinmidas
	   ;;
	9) /bin/sh $MID_INSTALL/cleanmidas
	   ;;
	10) /bin/sh $MID_INSTALL/help
	   ;;
	q) exit
	   ;;
	*) echo "Selection unknown"
	   ;;
esac
trap 2
done
